Update payout

Update supported fields on a payout. Only fields included in the payload will be updated. Omitted fields will not be updated.

The following fields can be updated when the payout is in the status of SCHEDULED: amount, requested_payout_date, and metadata.

The following fields can be updated when the payout is any status: metadata

This endpoint requires the platform to be approved for the Payouts integration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique payout identifier.

Prefix is "pyo" in production and "sbx_pyo" in sandbox.

Body Params

Update supported fields on a payout. Only fields included in the payload will be updated. Omitted fields will not be updated.

The following fields can be updated when the payout is in the status of SCHEDULED: amount, requested_payout_date, and metadata.

The following fields can be updated when the payout is any status: metadata

integer
≥ 1

The amount of the payout, in minor units.

For example, 150000 is 1,500.00 USD.

date

The requested date to process the payout, in UTC RFC 3339 date format.

The payout will be scheduled to process on the next available date relative to the requested date and returned in the scheduled_payout_date.

metadata
object | null

Valid JSON key-value object specified by the platform to store additional information. Do not use the metadata field to store sensitive or confidential data.

Updating metadata will merge with the existing metadata stored on the payout by the top-level key. If the same top-level key is passed in this request, it will overwrite the value stored on the payout. Only keys included in the payload will be updated. To remove a key, set the key's value to null. To remove all metadata pass null for the metadata value.

Metadata must be less than 8 KB in size.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json